curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "seedream_v5_5_layerize", "params": map[string]interface{}{ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers.", }, "out_task_id": "my_task_123456", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "seedream_v5_5_layerize", "params" => [ "image_url" => "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images" => 30, "prompt" => "Split the sky, the water and the moss platform into separate layers." ], "out_task_id" => "my_task_123456"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "seedream_v5_5_layerize", "params": [ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." ] as [String: Any], "out_task_id": "my_task_123456"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @"{ ""model"": ""seedream_v5_5_layerize"", ""params"": { ""image_url"": ""https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png"", ""max_images"": 30, ""prompt"": ""Split the sky, the water and the moss platform into separate layers."" }, ""out_task_id"": ""my_task_123456"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "seedream_v5_5_layerize", "params": map[string]interface{}{ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers.", }, "out_task_id": "my_task_123456", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "seedream_v5_5_layerize", "params" => [ "image_url" => "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images" => 30, "prompt" => "Split the sky, the water and the moss platform into separate layers." ], "out_task_id" => "my_task_123456"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "seedream_v5_5_layerize", "params": [ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." ] as [String: Any], "out_task_id": "my_task_123456"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @"{ ""model"": ""seedream_v5_5_layerize"", ""params"": { ""image_url"": ""https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png"", ""max_images"": 30, ""prompt"": ""Split the sky, the water and the moss platform into separate layers."" }, ""out_task_id"": ""my_task_123456"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}
curl --request POST \ --url https://aireiter.com/api/openapi/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" }'
import requestsurl = "https://aireiter.com/api/openapi/submit"payload = { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
const url = "https://aireiter.com/api/openapi/submit";const payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"};const headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"};fetch(url, { method: "POST", headers: headers, body: JSON.stringify(payload)}) .then(response => response.json()) .then(data => console.log(data)) .catch(error => console.error('Error:', error));
package mainimport ( "bytes" "encoding/json" "fmt" "io/ioutil" "net/http")func main() { url := "https://aireiter.com/api/openapi/submit" payload := map[string]interface{}{ "model": "seedream_v5_5_layerize", "params": map[string]interface{}{ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers.", }, "out_task_id": "my_task_123456", } jsonData, _ := json.Marshal(payload) req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData)) req.Header.Set("Authorization", "Bearer <token>") req.Header.Set("Content-Type", "application/json") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := ioutil.ReadAll(resp.Body) fmt.Println(string(body))}
import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.URI;public class Main { public static void main(String[] args) throws Exception { String url = "https://aireiter.com/api/openapi/submit"; String payload = """ { "model": "seedream_v5_5_layerize", "params": { "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." }, "out_task_id": "my_task_123456" } """; HttpClient client = HttpClient.newHttpClient(); HttpRequest request = HttpRequest.newBuilder() .uri(URI.create(url)) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .POST(HttpRequest.BodyPublishers.ofString(payload)) .build(); HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString()); System.out.println(response.body()); }}
<?php$url = "https://aireiter.com/api/openapi/submit";$payload = [ "model" => "seedream_v5_5_layerize", "params" => [ "image_url" => "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images" => 30, "prompt" => "Split the sky, the water and the moss platform into separate layers." ], "out_task_id" => "my_task_123456"];$ch = curl_init($url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_POST, true);curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer <token>", "Content-Type: application/json"]);$response = curl_exec($ch);curl_close($ch);echo $response;?>
require 'net/http'require 'json'require 'uri'url = URI("https://aireiter.com/api/openapi/submit")payload = { model: "seedream_v5_5_layerize", params: { image_url: "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", max_images: 30, prompt: "Split the sky, the water and the moss platform into separate layers." }, out_task_id: "my_task_123456"}http = Net::HTTP.new(url.host, url.port)request = Net::HTTP::Post.new(url)request["Authorization"] = "Bearer <token>"request["Content-Type"] = "application/json"request.body = payload.to_jsonresponse = http.request(request)puts response.body
import Foundationlet url = URL(string: "https://aireiter.com/api/openapi/submit")!let payload: [String: Any] = [ "model": "seedream_v5_5_layerize", "params": [ "image_url": "https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png", "max_images": 30, "prompt": "Split the sky, the water and the moss platform into separate layers." ] as [String: Any], "out_task_id": "my_task_123456"]var request = URLRequest(url: url)request.httpMethod = "POST"request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")request.setValue("application/json", forHTTPHeaderField: "Content-Type")request.httpBody = try? JSONSerialization.data(withJSONObject: payload)let task = URLSession.shared.dataTask(with: request) { data, response, error in if let error = error { print("Error: \(error)") return } if let data = data, let responseString = String(data: data, encoding: .utf8) { print(responseString) }}task.resume()
using System;using System.Net.Http;using System.Text;using System.Threading.Tasks;class Program{ static async Task Main(string[] args) { var url = "https://aireiter.com/api/openapi/submit"; var payload = @"{ ""model"": ""seedream_v5_5_layerize"", ""params"": { ""image_url"": ""https://static.aireiter.com/content/model-seo/seedream-v5-pro-layerize/layer-0.png"", ""max_images"": 30, ""prompt"": ""Split the sky, the water and the moss platform into separate layers."" }, ""out_task_id"": ""my_task_123456"" }"; using var client = new HttpClient(); client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>"); var content = new StringContent(payload, Encoding.UTF8, "application/json"); var response = await client.PostAsync(url, content); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result); }}